# Uses of Interface
org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager

Packages that use InternalCDOCommitInfoManager
Package
Description
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOCommitInfoManager in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return InternalCDOCommitInfoManager
Modifier and Type
Method
Description
`static InternalCDOCommitInfoManager`
CDOCommitInfoUtil.`createCommitInfoManager()`
`static InternalCDOCommitInfoManager`
CDOCommitInfoUtil.`createCommitInfoManager(boolean caching)`

## Uses of InternalCDOCommitInfoManager in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return InternalCDOCommitInfoManager
Modifier and Type
Method
Description
`InternalCDOCommitInfoManager`
InternalRepository.`getCommitInfoManager()`

## Uses of InternalCDOCommitInfoManager in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDOCommitInfoManager
Modifier and Type
Method
Description
`InternalCDOCommitInfoManager`
InternalCDOSession.`getCommitInfoManager()`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDOCommitInfoManager
Modifier and Type
Method
Description
`void`
InternalCDOSession.`setCommitInfoManager(InternalCDOCommitInfoManager commitInfoManager)`